Bug 699208 - Review Request: perl-ORLite-Statistics - Statistics enhancement package for ORLite
Summary: Review Request: perl-ORLite-Statistics - Statistics enhancement package for O...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/ORLite-St...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-24 08:59 UTC by Iain Arnell
Modified: 2011-05-28 23:54 UTC (History)
3 users (show)

Fixed In Version: perl-ORLite-Statistics-0.03-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-02 03:40:00 UTC
mario.blaettermann: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-04-24 08:59:05 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-ORLite-Statistics.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-ORLite-Statistics-0.03-1.fc16.src.rpm

Description:
This is an enhancement module for ORLite table classes, designed to provide
easy integration with the Statistics::Base module.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3022228

*rt-0.10_01

Comment 1 Mario Blättermann 2011-04-27 09:30:40 UTC
$ rpmlint -v *perl-ORLite-Statistics.noarch: I: checking
perl-ORLite-Statistics.noarch: I: checking-url http://search.cpan.org/dist/ORLite-Statistics/ (timeout 10 seconds)
perl-ORLite-Statistics.src: I: checking
perl-ORLite-Statistics.src: I: checking-url http://search.cpan.org/dist/ORLite-Statistics/ (timeout 10 seconds)
perl-ORLite-Statistics.src: I: checking-url http://www.cpan.org/authors/id/A/AD/ADAMK/ORLite-Statistics-0.03.tar.gz (timeout 10 seconds)
perl-ORLite-Statistics.spec: I: checking-url http://www.cpan.org/authors/id/A/AD/ADAMK/ORLite-Statistics-0.03.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Looks good, no issues.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    3b725f762f59b170da9f67cb2f3c8ea2  ORLite-Statistics-0.03.tar.gz
    3b725f762f59b170da9f67cb2f3c8ea2  ORLite-Statistics-0.03.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

-------------------------------------------------------------

PACKAGE APPROVED

-------------------------------------------------------------

Comment 2 Iain Arnell 2011-04-27 10:24:35 UTC
New Package SCM Request
=======================
Package Name: perl-ORLite-Statistics
Short Description: Statistics enhancement package for ORLite
Owners: iarnell
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 3 Dennis Gilmore 2011-04-28 17:06:42 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-04-28 17:34:20 UTC
perl-ORLite-Statistics-0.03-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-ORLite-Statistics-0.03-1.fc15

Comment 5 Iain Arnell 2011-04-28 17:58:56 UTC
Thanks for the recent reviews, Mario. I'll try to return the favour and take a look at some of your outstanding reviews over the weekend.

Comment 6 Fedora Update System 2011-04-28 19:02:18 UTC
perl-ORLite-Statistics-0.03-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 7 Fedora Update System 2011-05-02 03:39:55 UTC
perl-ORLite-Statistics-0.03-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 8 Mario Blättermann 2011-05-07 17:31:05 UTC
(In reply to comment #5)
> Thanks for the recent reviews, Mario. I'll try to return the favour and take a
> look at some of your outstanding reviews over the weekend.

to prevent you from a long search, here are my open review requests:
https://bugzilla.redhat.com/buglist.cgi?query_format=advanced&product=Fedora&version=rawhide&component=Package+Review&query_format=advanced&bug_status=NEW&bug_status=ASSIGNED&bug_status=NEEDINFO&bug_status=MODIFIED&keywords_type=allwords&keywords=&emailreporter1=1&emailtype1=exact&email1=mariobl%40freenet.de

Some of them are already commented by someone else, shouldn't be too hard to review them. Thanks in advance.

Comment 9 Fedora Update System 2011-05-20 05:18:25 UTC
perl-ORLite-Statistics-0.03-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-ORLite-Statistics-0.03-1.fc14

Comment 10 Fedora Update System 2011-05-28 23:54:20 UTC
perl-ORLite-Statistics-0.03-1.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.